// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

using System;
using System.Collections.Generic;


namespace MefCommon
{
    public class CompanyInfo : ICompanyInfo
    {
        public event EventHandler EmployeeListChanged;
        Employee _selectedEmployee;
        List<Employee> _employees;

        public int Count
        {
            get
            {
                return Employees.Count;
            }
        }

        public List<Employee> Employees
        {
            get
            {
                return _employees;
            }
            set
            {
                _employees = value;
            }
        }

        public Employee SelectedEmployee
        {
            get
            {
                return _selectedEmployee;
            }
            set
            {
                _selectedEmployee = value;
            }
        }

        public void Add(Employee emp)
        {
            _employees.Add(emp);
            if (EmployeeListChanged != null)
                EmployeeListChanged(this, null);
        }

        public void Delete(Employee emp)
        {
            _employees.Remove(emp);
            if (EmployeeListChanged != null)
                EmployeeListChanged(this, null);
        }
    }
}