// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Text;
using System.Windows.Forms;
using MefCommon;

namespace MefEmployeeExtender
{
    public class DeleteEmployeeButton: ICmdButtonInfo
    {
        Button _commandButton = new Button();
        public Button CommandButton
        {
            get
            {
                return _commandButton;
            }
            set
            {
                _commandButton = value;
            }
        }

        ICompanyInfo _empList;
        public ICompanyInfo CompanyInfo {
            get
            {
                return _empList;
            }
            set
            {
                _empList = value;
            }
        }

        public DeleteEmployeeButton()
        {
            this.CommandButton.Text = "&Delete Employee";
            this.CommandButton.Height = 30;
            this.CommandButton.Width = 100;
            this.CommandButton.Click += new System.EventHandler(this.btn_Click);
        }

        private void btn_Click(object sender, System.EventArgs e)
        {
            DeleteEmployee();
        }

        private void DeleteEmployee()
        {
            Employee emp = this.CompanyInfo.SelectedEmployee ;
            if (emp != null)
                this.CompanyInfo.Delete(emp);            
        }
    
    }
}